Skip to main content
POST

JSON Ledger API

Similar to ExecuteSubmissionAndWait but additionally returns the transaction

OpenAPISince 3.4Changed 3.5
Similar to ExecuteSubmissionAndWait but additionally returns the transaction

Protocol Details

Operation IDpostV2Interactive-submissionExecuteandwaitfortransaction
AuthenticationBearer token
Published3.5

Inputs

Request body

application/json
string
required
the prepared transaction Typically this is the value of the prepared_transaction field in PrepareSubmissionResponse obtained from calling prepareSubmission. Required
object
required
OpenAPI type: PartySignatures.Additional signatures provided by the submitting parties
object
OpenAPI type: DeduplicationPeriod2.
string
required
A unique identifier to distinguish completions for different submissions with the same change ID. Typically a random UUID. Applications are expected to use a different UUID for each retry of a submission with the same change ID. Must be a valid LedgerString (as described in value.proto). Required
string
See [PrepareSubmissionRequest.user_id] Optional
string
required
The hashing scheme version used when building the hash Required
object
OpenAPI type: MinLedgerTime.
object
OpenAPI type: TransactionFormat.A format that specifies what events to include in Daml transactions and what data to compute and include for them.

Outputs

200

application/json
JsTransaction
required
Filtered view of an on-ledger transaction’s create and archive events.

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Changed3.5

The POST /v2/interactive-submission/executeAndWaitForTransaction operation changed in this snapshot.

Introduced3.4